/**
 * @author Rémi Colet - cr174388 <remi.colet@icloud.com>
 */

// Set the name in the header
document.querySelector('header>p').textContent = decodeURIComponent("Welcome to the Board => " + "TEST");

// Create a WebSocket connection to the server
const ws = new WebSocket("ws://" + window.location.host + "/socket");

let board = document.getElementById("board");

// We get notified once connected to the server
ws.onopen = (event) => {
  console.log("We are connected.");
};

ws.onmessage = (event) => {
  let data = JSON.parse(event.data);
  console.log(data);
  board.innerText = data.dist;
};


